Subject: INLINE (4.21) vs attachment (4.10)

From: "Marilyn Perry" <[email-masked]>
Date: Fri, 31 Mar 2000 09:35:37 -0800 (PST)

I send a message containing a text attachment to another user who
complains that my text attachment is no longer a text attachment, but is
inline.  The user complains that they cannot detach the attachment as a
separate file.

I determined that this problem occurred when I upgraded from pine 4.10 to
pine 4.21 because pine 4.21 includes "INLINE" instead of "attachment" in
the Content-Disposition MIME header.

Here are the complete MIME attachment header lines for pine 4.21 which
produce the problem:

Content-Transfer-Encoding: 7bit
Content-Disposition: INLINE; filename="sig"
Content-Description:
Content-ID: <[email-masked]>
Content-Type: text/plain; charset=US-ASCII; name=sig

Here are the complete MIME attachment header lines for pine 4.10 which
produce the desired detachable attachment:

Content-Transfer-Encoding: BASE64
Content-ID: <Pine.A41.4.10.10003310834200.47812@scmh1>
Content-Description:
Content-Disposition: attachment; filename=sig
Content-Type: TEXT/PLAIN; charset=US-ASCII; name=sig

What can I do to get the desired results?  Is there a way that I can
specify the value of the Content-Disposition header when I attach the text
file?  Or is this just a pine 4.21 bug?

I feel that for pine 4.21 to make my attachment inline is a bug, because I
intentionally attached the file.  If I had wanted to put the text inline,
I would have used the Ctrl R (Read File) command, not the Ctrl J (Attach)
command.

Marilyn Perry

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------